# Signing

It is possible to sign ordinals to link an identity to the creation of the inscription. Separating identity signatures from funding signatures is more flexible. This is useful for verified minting. Signatures use [Author Identity Protocol](https://github.com/attilaaf/AUTHOR_IDENTITY_PROTOCOL) which has a Bitcom prefix of `15PciHG22SNLQJXMoSUaWVi7WSqc7hCfva`.

Since AIP was designed to sign OP\_RETURN based protocols, we need to use a special indices selector to sign the entire transaction, including the ordinal data. To do this, pass `[-1]` in the indices field to indicate the entire output script is being signed.

The collection subType leverages this protocol to enable verified collection.

### User Signatures

To sign when inscribing:

```bash
1SAT_P2PKH <INSCRIPTION> OP_RETURN <AIP> <signing_address> "BITCOIN_ECDSA" <sig> -1
```

### Platform Signatures

You can not only use AIP signatures to prove a particular identity created an inscription, but you can sign once more to prove that a particular platform was used to create the transaction as well.

```bash
1SAT_P2PKH <INSCRIPTION> OP_RETURN AIP <user_address> <user_sig> -1 | AIP <platform_address> <platform_sig> -1
```

## Validating Collections


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.1satordinals.com/adding-metadata/signing.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
